Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.model
Class TopicCategory

    java.lang.Object
      org.deegree.portal.cataloguemanager.model.TopicCategory

    public class TopicCategory

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.isotc211.org/2005/gmd}MD_TopicCategoryCode"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `mdTopicCategoryCode`

Constructor Summary
`TopicCategory()`

Method Summary
`String` | `getMDTopicCategoryCode()` Gets the value of the mdTopicCategoryCode property.
`void` | `setMDTopicCategoryCode(String value)` Sets the value of the mdTopicCategoryCode property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mdTopicCategoryCode

    protected String mdTopicCategoryCode

Constructor Detail

### TopicCategory

    public TopicCategory()

Method Detail

### getMDTopicCategoryCode

    public String getMDTopicCategoryCode()

  Gets the value of the mdTopicCategoryCode property.

  Returns:
    possible object is `String`

### setMDTopicCategoryCode

    public void setMDTopicCategoryCode(String value)

  Sets the value of the mdTopicCategoryCode property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org